//==============================================================================
//
//  This file was auto-generated by a tool using the PayPal REST API schema.
//  More information: https://developer.paypal.com/docs/api/
//
//==============================================================================
using Newtonsoft.Json;
using Newtonsoft.Json.Converters;

namespace PayPal.Api
{
    /// <summary>
    /// Details of a batch header that is sent when a payout item is completed.
    /// <para>
    /// See <a href="https://developer.paypal.com/docs/api/">PayPal Developer documentation</a> for more information.
    /// </para>
    /// </summary>
    public class PayoutSenderBatchHeader : PayPalSerializableObject
    {
        /// <summary>
        /// Sender-created ID for tracking the batch payout in an accounting system. 30 characters max.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "sender_batch_id")]
        public string sender_batch_id { get; set; }

        /// <summary>
        /// The subject line text for the email that PayPal sends when a payout item is completed. (The subject line is the same for all recipients.) Maximum of 255 single-byte alphanumeric characters.
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "email_subject")]
        public string email_subject { get; set; }

        /// <summary>
        /// The type of ID for a payment receiver. If this field is provided, the payout items without a `recipient_type` will use the provided value. If this field is not provided, each payout item must include a value for the `recipient_type`. 
        /// </summary>
        [JsonProperty(NullValueHandling = NullValueHandling.Ignore, PropertyName = "recipient_type")]
        [JsonConverter(typeof(StringEnumConverter))]
        public PayoutRecipientType recipient_type { get; set; }
    }
}
